package com.ruoyi.system.service.impl;


import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.KaoqinConfig;
import com.ruoyi.system.mapper.KaoqinConfigMapper;
import com.ruoyi.system.service.IKaoqinConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 考勤规则配置Service业务层处理
 * 
 * @author boman
 * @date 2023-02-02
 */
@Service
public class KaoqinConfigServiceImpl implements IKaoqinConfigService
{
    @Autowired
    private KaoqinConfigMapper kaoqinConfigMapper;

    /**
     * 查询考勤规则配置
     * 
     * @param kaoqinId 考勤规则配置主键
     * @return 考勤规则配置
     */
    @Override
    public KaoqinConfig selectKaoqinConfigByKaoqinId(Long kaoqinId)
    {
        return kaoqinConfigMapper.selectKaoqinConfigByKaoqinId(kaoqinId);
    }

    /**
     * 查询考勤规则配置列表
     * 
     * @param kaoqinConfig 考勤规则配置
     * @return 考勤规则配置
     */
    @Override
    public List<KaoqinConfig> selectKaoqinConfigList(KaoqinConfig kaoqinConfig)
    {
        return kaoqinConfigMapper.selectKaoqinConfigList(kaoqinConfig);
    }

    /**
     * 新增考勤规则配置
     * 
     * @param kaoqinConfig 考勤规则配置
     * @return 结果
     */
    @Override
    public int insertKaoqinConfig(KaoqinConfig kaoqinConfig)
    {
        String deptId = kaoqinConfig.getDeptId();
        KaoqinConfig kc = new KaoqinConfig();
        kc.setDeptId(deptId);
        List<KaoqinConfig> kaoqinConfigs = kaoqinConfigMapper.selectKaoqinConfigList(kc);
        if (kaoqinConfigs != null && kaoqinConfigs.size() > 0){
            return 0;
        }
        kaoqinConfig.setCreateTime(DateUtils.getNowDate());
        return kaoqinConfigMapper.insertKaoqinConfig(kaoqinConfig);
    }

    /**
     * 修改考勤规则配置
     * 
     * @param kaoqinConfig 考勤规则配置
     * @return 结果
     */
    @Override
    public int updateKaoqinConfig(KaoqinConfig kaoqinConfig)
    {
        kaoqinConfig.setUpdateTime(DateUtils.getNowDate());
        return kaoqinConfigMapper.updateKaoqinConfig(kaoqinConfig);
    }

    /**
     * 批量删除考勤规则配置
     * 
     * @param kaoqinIds 需要删除的考勤规则配置主键
     * @return 结果
     */
    @Override
    public int deleteKaoqinConfigByKaoqinIds(Long[] kaoqinIds)
    {
        return kaoqinConfigMapper.deleteKaoqinConfigByKaoqinIds(kaoqinIds);
    }

    /**
     * 删除考勤规则配置信息
     * 
     * @param kaoqinId 考勤规则配置主键
     * @return 结果
     */
    @Override
    public int deleteKaoqinConfigByKaoqinId(Long kaoqinId)
    {
        return kaoqinConfigMapper.deleteKaoqinConfigByKaoqinId(kaoqinId);
    }
}
